View Issue Details

IDProjectCategoryView StatusLast Update
0001427FreeCADBugpublic2017-03-27 08:19
ReportershoogenAssigned Towmayer 
PrioritylowSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.14 
Summary0001427: closing Part::TaskCheckGeometry after closing document causes SIGSEGV
Descriptionthe Task allows to close the document. Afterwards closing the task view crashes FreeCAD
Additional Information#0 0x0000000000612c30 in vtable for __cxxabiv1::__si_class_type_info ()
#1 0x00007fff848ec52f in PartGui::ResultEntry::~ResultEntry (
    this=0x7fff8c0450d0, __in_chrg=<optimized out>)
    at free-cad/src/Mod/Part/Gui/TaskCheckGeometry.cpp:186
#2 0x00007fff848f220f in qDeleteAll<QList<PartGui::ResultEntry*>::const_iterator> (begin=..., end=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#3 0x00007fff848f141a in qDeleteAll<QList<PartGui::ResultEntry*> > (c=...)
    at /usr/include/qt4/QtCore/qalgorithms.h:330
#4 0x00007fff848ec55c in PartGui::ResultEntry::~ResultEntry (this=0x4218460,
    __in_chrg=<optimized out>)
    at free-cad/src/Mod/Part/Gui/TaskCheckGeometry.cpp:187
#5 0x00007fff848ec9c3 in PartGui::ResultModel::~ResultModel (this=0x3ea1a70,
    __in_chrg=<optimized out>)
    at free-cad/src/Mod/Part/Gui/TaskCheckGeometry.cpp:260
#6 0x00007fff848eca2a in PartGui::ResultModel::~ResultModel (this=0x3ea1a70,
    __in_chrg=<optimized out>)
    at free-cad/src/Mod/Part/Gui/TaskCheckGeometry.cpp:261
#7 0x00007ffff0adc772 in QObjectPrivate::deleteChildren() ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8 0x00007ffff15cb1d4 in QWidget::~QWidget() ()
   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#9 0x00007fff848ed0bd in PartGui::TaskCheckGeometryResults::~TaskCheckGeometryResults (this=0x1787570, __in_chrg=<optimized out>)
#10 0x00007fff848ed144 in PartGui::TaskCheckGeometryResults::~TaskCheckGeometryResults (this=0x1787570, __in_chrg=<optimized out>)
    at free-cad/src/Mod/Part/Gui/TaskCheckGeometry.cpp:377
#11 0x00007ffff0adc772 in QObjectPrivate::deleteChildren() ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#12 0x00007ffff15cb1d4 in QWidget::~QWidget() ()
   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#13 0x00007ffff7672cc6 in iisTaskGroup::~iisTaskGroup (this=0x3d834b0,
    __in_chrg=<optimized out>)
    at free-cad/src/Gui/iisTaskPanel/src/iistaskgroup.cpp:26
#14 0x00007ffff7672cfe in iisTaskGroup::~iisTaskGroup (this=0x3d834b0,
    __in_chrg=<optimized out>)
    at free-cad/src/Gui/iisTaskPanel/src/iistaskgroup.cpp:29
#15 0x00007ffff0adc772 in QObjectPrivate::deleteChildren() ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#16 0x00007ffff15cb1d4 in QWidget::~QWidget() ()
   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#17 0x00007ffff76722d5 in iisTaskBox::~iisTaskBox (this=0x4227610,
    __in_chrg=<optimized out>)
    at free-cad/src/Gui/iisTaskPanel/src/iistaskbox.cpp:51
#18 0x00007ffff7660408 in Gui::TaskView::TaskBox::~TaskBox (this=0x4227610,
    __in_chrg=<optimized out>)
#19 0x00007ffff7660440 in Gui::TaskView::TaskBox::~TaskBox (this=0x4227610,
    __in_chrg=<optimized out>)
    at free-cad/src/Gui/TaskView/TaskView.cpp:144
#20 0x00007ffff7665144 in Gui::TaskView::TaskDialog::~TaskDialog (
    this=0x3f02900, __in_chrg=<optimized out>)
    at free-cad/src/Gui/TaskView/TaskDialog.cpp:49
#21 0x00007fff848f013e in PartGui::TaskCheckGeometryDialog::~TaskCheckGeometryDialog (this=0x3f02900, __in_chrg=<optimized out>)
    at free-cad/src/Mod/Part/Gui/TaskCheckGeometry.cpp:842
#22 0x00007fff848f0170 in PartGui::TaskCheckGeometryDialog::~TaskCheckGeometryDialog (this=0x3f02900, __in_chrg=<optimized out>)
    at free-cad/src/Mod/Part/Gui/TaskCheckGeometry.cpp:845
#23 0x00007ffff7661aa4 in Gui::TaskView::TaskView::removeDialog (this=0xb56bb0)
    at free-cad/src/Gui/TaskView/TaskView.cpp:409
#24 0x00007ffff7661ffd in Gui::TaskView::TaskView::reject (this=0xb56bb0)
    at free-cad/src/Gui/TaskView/TaskView.cpp:491
TagsNo tags attached.

Activities

tanderson69

2014-02-21 22:24

developer   ~0004260

pushed a fix for this on source forge branch tanderson-merge-partCheckGeometry

git cherry-pick 08cc18aea37ca96f3fb70369531c79622eded97a

wmayer

2014-02-22 11:14

administrator   ~0004265

git show 19f1d97

Issue History

Date Modified Username Field Change
2014-02-21 18:33 shoogen New Issue
2014-02-21 22:24 tanderson69 Note Added: 0004260
2014-02-22 11:14 wmayer Note Added: 0004265
2014-02-22 11:14 wmayer Status new => closed
2014-02-22 11:14 wmayer Assigned To => wmayer
2014-02-22 11:14 wmayer Resolution open => fixed
2014-02-22 11:14 wmayer Fixed in Version => 0.14
2017-03-27 08:19 Kunda1 Changeset attached => FreeCAD master 19f1d974